Mailinglist Archive: opensuse-buildservice (105 mails)

< Previous Next >
Re: [opensuse-buildservice] DoD: ignore specific versions of a package
On Tue, Dec 03, 2019 at 03:24:51PM +0100, Carsten Höger wrote:
so one is noarch and onx x86_64

might that be the problem?

Yes, you'll need to update perl-BSSolv to make it work. You need
the following commit:

commit 0416944cf8dcd8b98d8ed321fe8fb7c600ce4372
Author: Michael Schroeder <mls@xxxxxxx>
Date: Mon Aug 26 14:28:35 2019 +0200

Fix noarch handling in create_considered

We already did some noarch handling, but failed to do a version
comparison if one package was noarch and the other arch dependant.

We now do the version comparison first.

Please install the current version from OBS:Server:Unstable.

Cheers,
Michael.

--
Michael Schroeder mls@xxxxxxx
SUSE LINUX GmbH, GF Jeff Hawn, HRB 16746 AG Nuernberg
main(_){while(_=~getchar())putchar(~_-1/(~(_|32)/13*2-11)*13);}
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >